package projectzombie.entity.particle;

import gl_engine.vec.Vec3d;
import projectzombie.init.Models;

public class ParticleLava extends ParticleBreak
{
	public ParticleLava(Vec3d pos, Vec3d velocity) {
		this(pos, velocity, 100);
	}
	
	public ParticleLava(Vec3d pos, Vec3d velocity, int count) {
		super(pos, velocity, Models.TILE_LAVA, count, 0.1);
		
		this.still_ypos = -1;
	}

	
	
	@Override
	protected boolean isStill(Break particle) {
		return particle.pos.y <= -1;
	}
}
